#! /bin/csh -f
#
# Boolean function example script
#
# The training examples used for this example are the same as those given
# in the user guide for the disjunction x3 v x6.  Using 9 examples of
# the disjunction and two cycles over these examples, snow learns the
# concept completely.

# Note the use of an eligibility threshold of 1.  This is important in
# small experiments such as this one, where some important features
# are much more likely to only appear once with a target in the training 
# examples.  Also note the use of the "allactivations" output mode, allowing
# us to see results at a more detailed level than the default.

echo "Testing snow using tutorial data..."

set net_file=boolean_net
set arch_file=archfile

set train_file=booleantrain.feat
set test_file=booleantest.feat

../snow -train -I $train_file -F $net_file -A $arch_file -e 1
../snow -test -I $test_file -F $net_file -o allactivations |more
